Freeciv-3.1: unit_ai Struct Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Fields
unit_ai Struct Reference

`#include <aiunit.h>`

## Data Fields

int | ferryboat
int | passenger
int | bodyguard
int | charge
struct tile * | prev_struct
struct tile * | cur_struct
struct tile ** | prev_pos
struct tile ** | cur_pos
int | target
bv_player | hunted
bool | done
enum ai_unit_task | task

## Detailed Description

Definition at line 32 of file aiunit.h.

## Field Documentation

## ◆ bodyguard

int unit_ai::bodyguard

Definition at line 36 of file aiunit.h.

Referenced by aiguard_assign_guard_unit(), aiguard_check_charge_unit(), aiguard_check_guard(), aiguard_clear_charge(), aiguard_clear_guard(), aiguard_has_guard(), aiguard_request_guard(), aiguard_wanted(), dai_unit_init(), dai_unit_load(), dai_unit_log(), and dai_unit_save().

## ◆ charge

int unit_ai::charge

Definition at line 37 of file aiunit.h.

Referenced by aiguard_assign_guard_city(), aiguard_assign_guard_unit(), aiguard_check_charge_unit(), aiguard_check_guard(), aiguard_clear_charge(), aiguard_clear_guard(), aiguard_has_charge(), aiguard_has_guard(), aiguard_update_charge(), aiguard_wanted(), dai_unit_attack(), dai_unit_init(), dai_unit_load(), dai_unit_save(), and real_bodyguard_log().

## ◆ cur_pos

struct tile ** unit_ai::cur_pos

Definition at line 40 of file aiunit.h.

Referenced by dai_data_phase_begin(), dai_hunter_manage(), and dai_unit_init().

## ◆ cur_struct

struct tile * unit_ai::cur_struct

Definition at line 39 of file aiunit.h.

Referenced by dai_data_phase_begin().

## ◆ done

bool unit_ai::done

Definition at line 44 of file aiunit.h.

Referenced by dai_find_strategic_airbase(), dai_hunter_manage(), dai_manage_airunit(), dai_manage_diplomat(), dai_manage_hitpoint_recovery(), dai_manage_military(), dai_manage_settler(), dai_manage_unit(), dai_manage_units(), dai_military_bodyguard(), dai_military_defend(), and dai_unit_init().

## ◆ ferryboat

int unit_ai::ferryboat

Definition at line 34 of file aiunit.h.

Referenced by dai_manage_military(), dai_unit_init(), dai_unit_load(), dai_unit_log(), and dai_unit_save().

## ◆ hunted

bv_player unit_ai::hunted

Definition at line 43 of file aiunit.h.

Referenced by dai_hunter_manage(), dai_unit_init(), and dai_unit_turn_end().

## ◆ passenger

int unit_ai::passenger

Definition at line 35 of file aiunit.h.

Referenced by dai_unit_init(), dai_unit_load(), and dai_unit_save().

## ◆ prev_pos

struct tile** unit_ai::prev_pos

Definition at line 40 of file aiunit.h.

Referenced by dai_data_phase_begin(), dai_hunter_manage(), and dai_unit_init().

## ◆ prev_struct

struct tile* unit_ai::prev_struct

Definition at line 39 of file aiunit.h.

Referenced by dai_data_phase_begin().

## ◆ target

int unit_ai::target

Definition at line 42 of file aiunit.h.

Referenced by dai_hunter_manage(), dai_unit_init(), and dai_unit_new_task().

## ◆ task

enum ai_unit_task unit_ai::task

Definition at line 46 of file aiunit.h.

Referenced by dai_airlift(), dai_caravan_goto(), dai_fill_unit_param(), dai_is_unit_tired_waiting_boat(), dai_manage_caravan(), dai_manage_diplomat(), dai_manage_military(), dai_manage_settler(), dai_manage_unit(), dai_manage_units(), dai_military_findjob(), dai_set_defenders(), dai_switch_to_explore(), and dai_unit_new_task().